//function killErrors() { 
//return true; 
//} 
//window.onerror = killErrors;
// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：secBoard  显示隐藏操作
//		  参数  n 数值
function secBoard(n)
{
	document.getElementById("Z_"+n).style.display="";
	document.getElementById("ZH_"+n).style.display="none";
}
function secBoard2(n)
{
	document.getElementById("Z_"+n).style.display="none";
	document.getElementById("ZH_"+n).style.display="";
}
// Creat Date 2012.11.14 Edit by zhao  Start
// 函数 ：checkSubmitForm 检查参数字段不能为空
// 参数 ： checkInputsStr 需要验证的input id 串，用，分割
// 参数 ： descriptionStr 需要验证的变量内容 串，用，分割
// 调用 ： <form name="fmadduser" action="?ls=insert" method="post" onSubmit="return checkSubmitForm('adminPwd2,adminPwd,adminNameAdd','密码重输,密码,用户名');">  串反向排序

function checkSubmitForm(checkInputsStr,descriptionStr)
{
	
	var strs= new Array(); //定义一数组
	var dstrs= new Array(); 
	var blankStr='';
	var formOK= true;
	// alert(checkInputsStr);
	strs=checkInputsStr.split(","); //字符分割 
	dstrs=descriptionStr.split(","); //字符分割 	
	for (i=strs.length-1;i>=0 ;i-- )    
    {

		if( (document.getElementById(strs[i]).getAttribute("type")!='password' && document.getElementById(strs[i]).value.replace(/(^\s*)|(\s*$)/g, "")=='') || ( document.getElementById(strs[i]).getAttribute("type")=='password' && document.getElementById(strs[i]).value.length <1 ))   
	   {
		   //alert(document.getElementById(strs[i]).getAttribute("type"));
		   if(blankStr!=""){blankStr=blankStr+",";}
		   blankStr=blankStr+dstrs[i];
	   	   formOK=false;
	   }
	}


   if(formOK)
     return true;
   else
     {  alert(blankStr+" 不能为空！");
	 return false
	 }
}

//检查字段不为空
function checkadd(){
		var admin = document.getElementById("adminNameAdd").value;
		var pwd = document.getElementById("adminPwd").value;
		var user = document.getElementById("userName").value;
		var memo = document.getElementById("memo").value;
		if(admin == ''){
				alert("账户名不能为空");
				return false;
		}
		if(pwd == ''){
				alert("密码不能为空");
				return false;
		}
		if(user == ''){
				alert("姓名不能为空");
				return false;
		}
		return true;
	}


// Creat Date 2012.11.14 Edit by zhao  Start
// 函数 ：ConfirmRun 确认是否继续
// 参数 : dispStr： 提示串
// 调用 : onclick='return ConfirmRun("确认删除吗？");'

function ConfirmRun(dispStr)
{
   if(confirm(dispStr))
     return true;
   else
     return false;
}
// Creat Date 2008.1.18 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.19 Edit by Jia  Start
// 函数 unselectall  产品取消选择
// 函数 CheckAll  产品全部选择
//		  参数 ： 无
function unselectall()
{
    if(document.del.chkAll.checked){
	document.del.chkAll.checked = document.del.chkAll.checked&0;
    } 	
}

function CheckAll(form)
{
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.Name != "chkAll")
       e.checked = form.chkAll.checked;
    }
}

var SortSubmit=function(){
	document.getElementById("SortForm").submit();
	return;
}
function ConfirmDelSubCate(productItem,productName){
	if(confirm("确定删除该产品吗？\n产品编号："+productItem+"\n产品名称："+productName)){
		return true;
	}else{
		return false;
	}
}

// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：ConfirmDel  删除确认
//		  参数 ： 无
function ConfirmDel()
{
   if(confirm("确定要删除吗？\n一但删除将不能恢复！"))
	 return true;
   else
	 return false;
}
// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：ConfirmDelCate  删除确认
//		  参数 ： 无
function ConfirmDelCate()
{
   if(confirm("确定要删除吗？\n一但删除将不能恢复！"))
	 return true;
   else
	 return false;
}
// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：ConfirmDelCate  删除确认
//		  参数 ： 无
function ConfirmDelSubCate()
{
   if(confirm("确定要删除吗？\n一但删除将不能恢复！"))
	 return true;
   else
	 return false;
}

function ConfirmDelSubAct()
{
   if(confirm("确定要更新吗？\n一但更新将覆盖原来文件！"))
	 return true;
   else
	 return false;
}
// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.15 Edit by Jia  Start
// 函数 ：Checkaddcate  添加大类检测
//		  参数 ： 无
function Checkaddcate()
{
   if (document.addcate.cateName.value == "")
   {
   		alert("请填写产品大类名");
		document.addcate.cateName.focus();
		return false;
   }
   
   if (document.addcate.cateTitle.value == "")
   {
   		alert("请填写Title（网站标题）");
		document.addcate.cateTitle.focus();
		return false;
   }
   
	if (document.addcate.cateKeywords.value == "")
   {
   		alert("请填写Keywords（网站关键字）");
		document.addcate.cateKeywords.focus();
		return false;
   }
   
   if (document.addcate.cateDescription.value == "")
   {
   		alert("请填写Description（网站描述）");
		document.addcate.cateDescription.focus();
		return false;
   }
   
  /*
   
   if (document.addcate.cateBrief.value == "")
   {
   		alert("请填写简介");
		document.addcate.cateBrief.focus();
		return false;
   }
   */
   
  // return  true;
}

function CheckaddVideo()
{
   if (document.myform.videoName.value == "")
   {
   		alert("请填写视频名称");
		document.myform.videoName.focus();
		return false;
   }
   
   if (document.myform.videoFile.value == ""  && document.myform.ls.value != "update")
   {
   		alert("请选择视频文件或链接");
		document.myform.videoFile.focus();
		return false;
   }
}
// Creat Date 2008.1.15 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.15 Edit by Jia  Start
// 函数 ：Checkaddcate  添加大类检测
//		  参数 ： 无
function Checksubaddcate()
{
   if (document.addsubcate.subcateName.value == "")
   {
   		alert("请填写小类名");
			document.addsubcate.subcateName.focus();
			return false;
   }
 
  // return  true;
}

// Creat Date 2008.1.15 Edit by Jia  Start
// 函数 ：Checkaddcate  添加大类检测
//		  参数 ： 无
function Checkmidaddcate()
{
   if (document.addsubcate.midcateName.value == "")
   {
   		alert("请填写中类名");
			document.addsubcate.midcateName.focus();
			return false;
   }
  

   
  // return  true;
}

// Creat Date 2008.1.15 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.18 Edit by Jia  Start
// 函数 Checkaddproducts  添加产品检测
//		  参数 ： 无
function Checkaddproducts()
{
   if (document.myform.productItemNo.value == "")
   {
   		alert("请填写产品编号");
			document.myform.productItemNo.focus();
			return false;
   }
  
   if (document.myform.productName.value == "")
   {
   		alert("请填写产品名称");
			document.myform.productName.focus();
			return false;
   }
   
   if (document.myform.productPic.value == "" && document.myform.ls.value != "update")
   {
   		alert("请选择产品图片");
			document.myform.productPic.focus();
			return false;
   }  
   
/*	if (document.myform.productSpecification.value == "")
	 {
	 		alert("请填写产品规格");
			document.myform.productSpecification.focus();
			return false;
	 }
  */ 
  // return  true;
}


// Creat Date 2008.1.19 Edit by Jia  End
//=========================================================


// Creat Date 2008.1.21 Edit by Jia  Start
// 函数 Checkaddproducts  添加产品检测
//		  参数 ： 无
function Checkaddnews()
{
   if (document.newsform.newsTitle.value == "")
   {
   		alert("请填写新闻标题");
			document.newsform.newsTitle.focus();
			return false;
   }
  
   
   
   
}
// Creat Date 2008.1.21 Edit by Jia  End
  // return  true;
//=========================================================



// Create Date 2009.5.31 Edit by Midnite Start
// 函数 SortSubmit  产品批量排序时为form(del)改向
// 参数 无
var SortSubmit=function(){
	document.getElementById("SortForm").submit();
	return;
}
// Create Date 2009.5.31 Edit by Midnite End
//=========================================================



// Create Date 2013 Edit by Shi
// 加载时调整热点图片大小，使其比例不失真
// 参数 无，需要在网页加载时运行 最后一行
function resizeImg()
{
	var a = document.getElementsByName("imgs");
	for (var i=0;i<a.length;i++)
	{
		var b = a[i].width/a[i].height;
		if(a[i].height > 98){
			a[i].height = 98;
			a[i].width = b * 98;
		}
	}
}
//onload=resizeImg();   需要在网页加载时运行

// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：ConfirmDel  删除确认
//		  参数 ： 无
function Confirmchange()
{
   if(confirm("确定要更改当前推广网站吗？\n当前推广网站将导出所有当前数据，并导入新的的数据！"))
     return true;
   else
     return false;
}
// Creat Date 2008.1.14 Edit by Jia  End
//=========================================================

// Creat Date 2008.1.14 Edit by Jia  Start
// 函数 ：checkaddnewpromote  删除确认
//		  参数 ： 无

function CheckAddNewPromote()
{
	if (document.fmconfig.companyNameCn.value == "")
   {
   		alert("请公司中文名");
		document.fmconfig.companyNameCn.focus();
		return false;
   }
   
   if (document.fmconfig.website.value == "http://" || document.fmconfig.website.value == "")
   {
   		alert("请填写网址");
		document.fmconfig.website.focus();
		return false;
   }
   
    if (document.fmconfig.companyName.value == "")
   {
   		alert("请填写公司英文简称");
		document.fmconfig.companyName.focus();
		return false;
   }
   
   if (document.fmconfig.email.value == "")
   {
   		alert("请填写邮箱地址");
		document.fmconfig.email.focus();
		return false;
   }

}

//=========================================================

// Creat Date 2008.1.19 Edit by Jia  Start
// 函数 unselectall  产品取消选择
// 函数 CheckAll  产品全部选择
//		  参数 ： 无
function unselectall()
{
    if(document.del.chkAll.checked){
	document.del.chkAll.checked = document.del.chkAll.checked&0;
    } 	
}

function CheckAll(form)
{
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.Name != "chkAll")
       e.checked = form.chkAll.checked;
    }
}


function check1(e){
		if(e==2){
			var qian = document.getElementById("qianyi");
			qian.className = "none";
			var he = document.getElementById("hebing");
			he.className="show";
		}
		if(e==1){
			var qian = document.getElementById("qianyi");
			qian.className = "show";
			var he = document.getElementById("hebing");
			he.className="none";
		}
}

